B4A Library ProBundle [chargeable]

Discussion in 'Additional libraries, classes and official updates' started by Informatix, Sep 26, 2015.

  1. JackKirk

    JackKirk Well-Known Member Licensed User

    Answering my own question (but I would like @Informatix to check and confirm):

    For background, go to:

    https://developer.android.com/ndk/guides/abis

    and look at the section titled "Supported ABIs" - it appears that the current ABIs are:

    armeabi-v7a

    arm64-v8a
    x86
    x86_64

    It appears all you have to do (referring to @Informatix guide "MySecureVault v1.1.pdf") is:

    1. find the section in the guide that says:

    Example:
    /mnt/sdcard/SecVault/jni -> C:\Android-NDK\jni
    /mnt/sdcard ...


    2. add this to the guide after the above:

    Edit the file C:\Android-NDK\jni\Application.mk so that it reads:

    APP_STL := c++_static
    APP_CPPFLAGS += -fexceptions
    APP_PLATFORM := android-16
    APP_ABI := armeabi-v7a x86 arm64-v8a x86_64

    follow the amended guide and you will generate *.so files for all supported ABIs
     
    fredo and Informatix like this.
  2. DonManfred

    DonManfred Expert Licensed User

    for the lib used in this case. Probably yes.

    You are talking about which library from the Pro-Bundle?
     
  3. JackKirk

    JackKirk Well-Known Member Licensed User

    Secure Vault - but I have found a solution as per post #221
     
    DonManfred likes this.
  4. DonManfred

    DonManfred Expert Licensed User

    ahh. I wasn´t sure this post is "a solution". I though it was a hint for informatix on how to adapt something.
     
  5. JackKirk

    JackKirk Well-Known Member Licensed User

    It's a solution for anyone who has acquired ProBundle - its a bit cryptic but not if you have the guide.
     
    fredo likes this.
  6. JackKirk

    JackKirk Well-Known Member Licensed User

    @Informatix - I have another app which uses F5Steg that is supplied with only x86 and armeabi ABIs - hence will not pass Googles new 64 bit requirement.

    Can you supply a compliant set of ABIs?
     
  7. Informatix

    Informatix Expert Licensed User

    Please look at the archive containing the library. Everything is inside.
     
    JackKirk likes this.
  8. JackKirk

    JackKirk Well-Known Member Licensed User

    Ah - after a bit of digging I found it - many thanks.

    And thanks once again for the ProBundle package...
     
Loading...
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice